Skip to main content
GET
/
v2
/
properties
/
contacts
/
{key}
Get contact property
curl --request GET \
  --url https://api.telli.com/v2/properties/contacts/{key} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.telli.com/v2/properties/contacts/{key}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.telli.com/v2/properties/contacts/{key}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "type": "<unknown>",
  "key": "<string>",
  "label": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "options": [
    {
      "value": "<string>",
      "label": "<string>",
      "description": "<string>"
    }
  ]
}
{
  "defined": "<unknown>",
  "code": "<unknown>",
  "status": "<unknown>",
  "message": "API key is missing or invalid",
  "data": "<unknown>"
}
{
  "defined": "<unknown>",
  "code": "<unknown>",
  "status": "<unknown>",
  "message": "Property not found",
  "data": {
    "key": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Use your telli API key as the bearer token.

Path Parameters

key
string
required
Required string length: 1 - 64
Pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]*$

Response

OK

type
any
required
key
string
required
Required string length: 1 - 64
Pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]*$
dataType
enum<string>
required
Available options:
string,
number,
boolean,
date,
datetime,
select,
multi_select,
phone_number,
email
source
enum<string>
required
Available options:
system,
user,
integration
label
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
description
string
options
object[]

Only applicable for select and multi_select data types